%global srcname cma
Name:           python-cma
Version:        3.3.0
Release:    1%{?dist}
Summary:        Covariance Matrix Adaptation Evolution Strategy numerical optimizer

License:        BSD
URL:            http://cma.gforge.inria.fr/cmaes_sourcecode_page.html
Source0:         %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy

%global _description %{expand:
A stochastic numerical optimization algorithm for difficult (non-convex,
ill-conditioned, multi-modal, rugged, noisy) optimization problems in continuous
search spaces, implemented in Python.}

%description %_description

%package -n     python3-cma
Summary:        %{summary}

%description -n python3-cma %_description

%prep
%autosetup -n cma-%{version}
sed -i 's/\r//' README.txt
sed -i '1d' cma/{bbobbenchmarks.py,purecma.py,test.py}

%build
%py3_build

%install
%py3_install

%files -n python3-cma
%doc README.txt
%license LICENSE
%{python3_sitelib}/cma/
%{python3_sitelib}/cma-*.egg-info/

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-1
- initial build
